Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.groupsmanager
Class CGroupsManagerServant

    java.lang.Object
      org.jasig.portal.MultithreadedChannelAdapter
          org.jasig.portal.MultithreadedCacheableChannelAdapter
              org.jasig.portal.channels.groupsmanager.CGroupsManagerServant

All Implemented Interfaces:
  ICacheable, IChannel, IServant

    public class CGroupsManagerServant

extends MultithreadedCacheableChannelAdapter
implements IServant

CGroupsManagerServant is an IServant subclass of CGroupsManager This will allow other channels to delegate to CGroupsManager at runtime

Version:
  $Revision: 1.19 $
Author:
  Alex Vigdor, av317@columbia.edu

Field Summary
`(package private) IMultithreadedChannel` | `channel`
`(package private) java.lang.String` | `uid`

Constructor Summary
`CGroupsManagerServant(IMultithreadedChannel channel, java.lang.String uid)` put your documentation comment here

Method Summary
`protected void` | `finalize()` Create a SESSION_DONE event.
`java.lang.Object[]` | `getResults()` Returns an array of objects representing the result set.
`(package private) CGroupsManagerSessionData` | `getSessionData()`
`boolean` | `isFinished()` True when the servant is ready to pass control back to the master channel.
`void` | `setStaticData(ChannelStaticData sd)` Sets the staticData.

Methods inherited from class org.jasig.portal.MultithreadedCacheableChannelAdapter
`generateKey, isCacheValid`

Methods inherited from class org.jasig.portal.MultithreadedChannelAdapter
`getRuntimeProperties, receiveEvent, renderXML, setRuntimeData`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jasig.portal.IChannel
`getRuntimeProperties, receiveEvent, renderXML, setRuntimeData`

Field Detail

### channel

    final IMultithreadedChannel channel

### uid

    final java.lang.String uid

Constructor Detail

### CGroupsManagerServant

    public CGroupsManagerServant(IMultithreadedChannel channel,
                                 java.lang.String uid)

  put your documentation comment here

  Parameters:
    `channel` - (IMultithreadedChannel)
    `uid` - (String)

Method Detail

### isFinished

    public boolean isFinished()

  True when the servant is ready to pass control back to the master channel.

  Specified by:
    `isFinished` in interface `IServant`
  Returns:
    boolean

### getSessionData

    CGroupsManagerSessionData getSessionData()

### setStaticData

    public void setStaticData(ChannelStaticData sd)

  Sets the staticData.

  Specified by:
    `setStaticData` in interface `IChannel`
  Overrides:
    `setStaticData` in class `MultithreadedChannelAdapter`
  Parameters:
    `sd` - (ChannelStaticData)
  See Also:
    `ChannelStaticData`

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Create a SESSION_DONE event. This event is caught by CGroupsManager which deletes the session data object.

  Overrides:
    `finalize` in class `java.lang.Object`
  Throws:
    `java.lang.Throwable`

### getResults

    public java.lang.Object[] getResults()

  Returns an array of objects representing the result set. Note that these are IGroupMembers !!

  Specified by:
    `getResults` in interface `IServant`
  Returns:
    Object[]

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD